summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/test-ldap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/lib/ldb/tests/test-ldap.sh')
-rwxr-xr-xsource4/lib/ldb/tests/test-ldap.sh18
1 files changed, 14 insertions, 4 deletions
diff --git a/source4/lib/ldb/tests/test-ldap.sh b/source4/lib/ldb/tests/test-ldap.sh
index 63e93e0fb0..b9d224e0af 100755
--- a/source4/lib/ldb/tests/test-ldap.sh
+++ b/source4/lib/ldb/tests/test-ldap.sh
@@ -36,9 +36,19 @@ export LDB_URL
PATH=bin:$PATH
export PATH
-. $LDBDIR/tests/init_slapd.sh
-. $LDBDIR/tests/start_slapd.sh
-
LDB_SPECIALS=0
export LDB_SPECIALS
-. $LDBDIR/tests/test-generic.sh
+
+if $LDBDIR/tests/init_slapd.sh &&
+ $LDBDIR/tests/start_slapd.sh &&
+ $LDBDIR/tests/test-generic.sh; then
+ echo "ldap tests passed";
+ ret=0
+else
+ echo "ldap tests failed";
+ ret=$?
+fi
+
+$LDBDIR/tests/kill_slapd.sh
+
+exit $ret